# Module: query-parser

## query-parser

Source:
  - query-parser.js, line 54

### Methods

#### compileJoin(condition) → {String}

  Return the output of the parsing of the join condition

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `condition` | String | The join condition to evalate

  Source:
    - query-parser.js, line 70

  ##### Returns:

  - The parsed/escaped join condition
  Type
    String